Fedora Linux Support Community & Resources Center

Go Back   FedoraForum.org > Fedora 19/20 > Using Fedora
FedoraForum Search

Forgot Password? Join Us!

Using Fedora General support for current versions. Ask questions about Fedora and it's software that do not belong in any other forum.

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 9th August 2012, 02:09 PM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Fedora 17 Kernel 3.5 AMD/ATI legacy not detected after kernel upgrade

So I updated Fedora 17 64-bits kernel to version 3.5 but he doesn't recognize my graphics card neither 32 and 64 bits libraries causing not to let me use gnome3 and of course run 3D programs. Everything else seems to work fine. What must I do?

My specs are:

CPU:
Intel® Core™ i5-450M
Clock speed : 2.40 / 2.66 Turbo GHz
Front Side Bus : 1,066 MHz
cache level 3 : 3 MB

RAM:
standard : 4,096 (2,048 + 2,048) MB
Technology : DDR3 RAM (1,066 MHz)

Graphics Card:
ATI Mobility Radeon™ HD 5145 com HyperMemory™
memory : 512 MB VRAM dedicated
type of memory : DDR3 Video RAM
conetor bus : PCI Express®

I'm using 12.6 amd beta drivers. Thanks for any help in advance.
Reply With Quote
  #2  
Old 9th August 2012, 02:16 PM
stevea Offline
Registered User
 
Join Date: Apr 2006
Location: Ohio, USA
Posts: 8,553
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
I'm using 12.6 amd beta drivers.
Did you rebuild them ?
Did you try the open or non-beta's ?

lspci -nnk fo rthe driver please.
Any dmesg messages ?
If you've got a drive claiming the device then what is in the Xorg logs ?
__________________
None are more hopelessly enslaved than those who falsely believe they are free.
Johann Wolfgang von Goethe
Reply With Quote
  #3  
Old 10th August 2012, 01:28 AM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

I reinstall the beta driver (after testing with open source driver which function properly and then test the non beta drivers which lead me to this particular case I have posted on the forums http://forums.fedoraforum.org/showthread.php?t=282785). When i finish installation of the beta ones i enter:
Code:
sudo aticonfig --initial
Found fglrx primary device section
Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.fglrx-4
and it seems to work well but then i reboot and gnome3 is gone and Fedora 17 can't identify my 32 and 64 bits libs when i open playonlinux...and the system is pretty slow like this obviously..no messages. On my xorg.conf and xorg.conf.fglrx-0 xorg.conf.fglrx-1 xorg.conf.fglrx-2 xorg.conf.fglrx-3 xorg.conf.fglrx-4 xorg.conf.fglrx-5 i have this:
Code:
Section "ServerLayout"
	Identifier     "aticonfig Layout"
	Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]-0"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
	Identifier  "aticonfig-Device[0]-0"
	Driver      "fglrx"
	BusID       "PCI:1:0:0"
EndSection
I have 9 logs (xorg.0.log, xorg.1.log, etc) but i cant put it here since it is soooo long.

When i enter the comand you ask me to enter it appears this:
Code:
lspci -nnk
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
00:01.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express x16 Root Port [8086:0045] (rev 02)
	Kernel driver in use: pcieport
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: mei
00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: ehci_hcd
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: snd_hda_intel
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 05)
	Kernel driver in use: pcieport
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 05)
	Kernel driver in use: pcieport
00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 [8086:3b4a] (rev 05)
	Kernel driver in use: pcieport
00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: ehci_hcd
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a5)
00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b09] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller [8086:3b29] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: ahci
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 05)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: intel ips
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M92 [Mobility Radeon HD 4500/5100 Series] [1002:9553]
	Subsystem: Toshiba America Info Systems Device [1179:fd12]
01:00.1 Audio device [0403]: ATI Technologies Inc RV710/730 [1002:aa38]
	Subsystem: Toshiba America Info Systems Device [1179:fd12]
	Kernel driver in use: snd_hda_intel
02:00.0 Ethernet controller [0200]: Atheros Communications AR8152 v1.1 Fast Ethernet [1969:2060] (rev c1)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
	Kernel driver in use: atl1c
03:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)
	Subsystem: Askey Computer Corp. Device [144f:7175]
	Kernel driver in use: bcma-pci-bridge
3f:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
3f:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
3f:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
3f:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
3f:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]
3f:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff1e]

Last edited by Berox; 10th August 2012 at 01:47 AM.
Reply With Quote
  #4  
Old 10th August 2012, 03:13 AM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Fedora 17 Kernel 3.5

Where did you get the ati driver?, if the answer is ati it wont wont with 3.4 (requires patch) or 3.5 (requires 2 patches) kernels.

Last edited by Yellowman; 10th August 2012 at 03:15 AM.
Reply With Quote
  #5  
Old 10th August 2012, 11:27 AM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
Where did you get the ati driver?, if the answer is ati it wont wont with 3.4 (requires patch) or 3.5 (requires 2 patches) kernels.
Really ? I have no idea, I was following the tutorial here in the forums for the non beta drivers (http://forums.fedoraforum.org/showthread.php?t=155503) they didn't mention the patch xD (probably because that was an old post and fedora didn't have this kernels, silly me xD). I'm looking it up on google but can't find anything..where can i get the patchs for ati driver 12.6 on 3.5 kernel? Thanks in advance

Last edited by Berox; 10th August 2012 at 11:34 AM.
Reply With Quote
  #6  
Old 10th August 2012, 11:35 AM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
Originally Posted by Berox View Post
Really ? I have no idea, I was following the tutorial here in the forums for the non beta drivers (http://forums.fedoraforum.org/showthread.php?t=155503) they didn't mention the patch xD (probably because that was an old post and fedora didn't have this kernels, silly me xD). I'm looking it up on google but can't find anything..where can i get the patchs for 3.5 kernel? Thanks in advance
I have already patched the rpmfusion kmod-catalyst packages.


http://cvs.rpmfusion.org/viewvc/rpms.../?root=nonfree


According to your output your card is a HD4xxx so it is unsupported by the 12.6 driver ( you need the 12.6 legacy driver instead which hasn't been packaged yet by rpmfusion).


Code:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M92 [Mobility Radeon HD 4500/5100 Series] [1002:9553]
	Subsystem: Toshiba America Info Systems Device [1179:fd12]

Last edited by Yellowman; 10th August 2012 at 11:47 AM.
Reply With Quote
  #7  
Old 10th August 2012, 12:07 PM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
According to your output your card is a HD4xxx so it is unsupported by the 12.6 driver ( you need the 12.6 legacy driver instead which hasn't been packaged yet by rpmfusion).
Well it's suposed to be a HD 5145 but yeah it's basically a HD4xxx overclocked -.-" i new this will be giving me headaches in the near future guilt on me for not paying attencion to my intuition. So in the near future there will be a legacy package right? xD
Reply With Quote
  #8  
Old 10th August 2012, 01:23 PM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
Originally Posted by Berox View Post
Well it's suposed to be a HD 5145 but yeah it's basically a HD4xxx overclocked -.-" i new this will be giving me headaches in the near future guilt on me for not paying attencion to my intuition. So in the near future there will be a legacy package right? xD
Hopefully.


http://forums.fedoraforum.org/showpo...9&postcount=10
Reply With Quote
  #9  
Old 10th August 2012, 02:35 PM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

I rebuild the two packages

Code:
rpmbuild --rebuild xorg-x11-drv-catalyst-legacy-12.6-0.1.fc17.src.rpm 
rpmbuild --rebuild catalyst-legacy-kmod-12.6-0.1.fc17.src.rpm
All went well no errors

I installed the drivers again after rebuilding the mesa-libGL
Code:
sudo yum kmod-catalyst
but same problem. I download Yum extender so i can see all the packages and I found this one

http://img838.imageshack.us/img838/9...m201208101.png

Installed it but still same error no ati adapters found
Reply With Quote
  #10  
Old 10th August 2012, 02:40 PM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Fedora 17 Kernel 3.5

Post

Code:
rpm -qa *\catalyst\* kernel\*
Reply With Quote
  #11  
Old 10th August 2012, 02:47 PM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

Code:
[ricardo@Ricardo-L650 ~]$ rpm -qa *\catalyst\* kernel\*
xorg-x11-drv-catalyst-12.6-1.fc17.x86_64
kmod-catalyst-3.5.0-2.fc17.x86_64-12.6-3.fc17.x86_64
xorg-x11-drv-catalyst-libs-12.6-1.fc17.x86_64
kernel-3.5.0-2.fc17.x86_64
kernel-devel-3.4.6-2.fc17.x86_64
kernel-headers-3.5.0-2.fc17.x86_64
kernel-devel-3.5.0-2.fc17.x86_64
kernel-3.3.4-5.fc17.x86_64
akmod-catalyst-12.6-3.fc17.x86_64
kernel-3.4.6-2.fc17.x86_64
Reply With Quote
  #12  
Old 10th August 2012, 02:59 PM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
Originally Posted by Berox View Post
Code:
[ricardo@Ricardo-L650 ~]$ rpm -qa *\catalyst\* kernel\*
xorg-x11-drv-catalyst-12.6-1.fc17.x86_64
kmod-catalyst-3.5.0-2.fc17.x86_64-12.6-3.fc17.x86_64
xorg-x11-drv-catalyst-libs-12.6-1.fc17.x86_64
kernel-3.5.0-2.fc17.x86_64
kernel-devel-3.4.6-2.fc17.x86_64
kernel-headers-3.5.0-2.fc17.x86_64
kernel-devel-3.5.0-2.fc17.x86_64
kernel-3.3.4-5.fc17.x86_64
akmod-catalyst-12.6-3.fc17.x86_64
kernel-3.4.6-2.fc17.x86_64
They aren't the legacy packages, you need to remove them and install the results of the rpmbuild.

eg:

1. akmod-catalyst-legacy
2. xorg-x11-drv-catalyst-legacy-libs
3. xorg-x11-drv-catalyst-legacy
Reply With Quote
  #13  
Old 10th August 2012, 08:42 PM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

Ok so i can't find the drivers in yum extended, so i was looking for them in my computer and found them in the rpmbuild folder which is located in /home/ricardo/ and I found the drivers..but neither of them work they always say that they miss something. For example I tried build them with command line and this is what i got:

Code:
[ricardo@Ricardo-L650 x86_64]$ rpmbuild --rebuild kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64.rpm
Installing kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64.rpm
error: source package expected, binary found
error: kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64.rpm cannot be installed
Then i tried normally by double-clicking on the packages and then click on install and when he is resolving the dependencies he says "kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64 requires catalyst-legacy-kmod-common >= 12.6"

I look for that one in yum and couldn't find them
Reply With Quote
  #14  
Old 10th August 2012, 08:50 PM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Fedora 17 Kernel 3.5

Quote:
Originally Posted by Berox View Post
Ok so i can't find the drivers in yum extended, so i was looking for them in my computer and found them in the rpmbuild folder which is located in /home/ricardo/ and I found the drivers..but neither of them work they always say that they miss something. For example I tried build them with command line and this is what i got:

Code:
[ricardo@Ricardo-L650 x86_64]$ rpmbuild --rebuild kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64.rpm
Installing kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64.rpm
error: source package expected, binary found
error: kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64.rpm cannot be installed
Then i tried normally by double-clicking on the packages and then click on install and when he is resolving the dependencies he says "kmod-catalyst-legacy-3.4.6-2.fc17.x86_64-12.6-0.1.fc17.x86_64 requires catalyst-legacy-kmod-common >= 12.6"

I look for that one in yum and couldn't find them
Try

Code:
su
yum erase *\catalyat\*
yum --nogpgcheck install  /home/ricardo/rpmbuild/RPMS/x86_64/akmod-catalyst-legacy-12.6-0.1.fc17.x86_64.rpm /home/ricardo/rpmbuild/RPMS/x86_64/xorg-x11-drv-catalyst-legacy-12.6-0.1.fc17.x86_64.rpm  /home/ricardo/rpmbuild/RPMS/x86_64/xorg-x11-drv-catalyst-legacy-libs-12.6-0.1.fc17.x86_64.rpm
Reply With Quote
  #15  
Old 10th August 2012, 09:08 PM
Berox Offline
Registered User
 
Join Date: Jul 2012
Location: Portugal
Posts: 26
linuxfirefox
Re: Fedora 17 Kernel 3.5

It worked! I see I was using the wrong command for the instalation of the packages. Thanks a lot!

By the way after this playonlinux does recognize 64 bits libraries but doesn't recognize 32 bit (I'm using Fedora 17 64-bits), there is any package with the 32bits libraries like in Debian? Because I don't know exactly which packages needed to be installed.
Reply With Quote
Reply

Tags
fedora, kernel

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Netgear WNDA3100 Wireless Adapter no longer detected after Linux 3.0 kernel upgrade Bajan74 Hardware & Laptops 0 26th August 2011 06:36 AM
fedora 11 upgrade problem kernel PAE/kernel default Martin Pail Using Fedora 2 10th October 2009 05:41 PM
Bios raid not detected after kernel upgrade marvin_ita Hardware & Laptops 6 28th July 2008 10:10 PM
doing rpm update kernel on a legacy fedora system lothario Using Fedora 10 29th August 2007 07:55 PM
Megaraid legacy in latest FC4 kernel druiid Hardware & Laptops 1 22nd March 2006 04:03 PM


Current GMT-time: 14:43 (Monday, 21-04-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat